# Function applyJsonToWebMap

- applyJsonToWebMap(webMapJson, map, portalItem?): Promise<void>

- Updates an ArcGIS JS API WebMap from the given web map JSON.

  #### Parameters

  - webMapJson: Partial<WebMapJson>

    The JSON to apply.

  - map: Map

    The layer to update.

  - `Optional` portalItem: PortalItem

    The Portal item definition if the web scene comes from Portal/AGOL.

  #### Returns Promise<void>